Skip to main content
`Ctrl`+`K`

# DMSwarmSetCellDM

Attaches a `DM` to a `DMSWARM`

## Synopsis

    #include "petscdmswarm.h"
    PetscErrorCode DMSwarmSetCellDM(DM sw, DM dm)

Collective

## Input Parameters

- sw - a `DMSWARM`

- dm - the `DM` to attach to the `DMSWARM`

## Note

The attached `DM` (dm) will be queried for point location and neighbor MPI-rank information if `DMSwarmMigrate()` is called.

## See Also

`DM`, `DMSWARM`, `DMSwarmSetType()`, `DMSwarmGetCellDM()`, `DMSwarmMigrate()`

## Level

beginner

## Location

src/dm/impls/swarm/swarm.c

## Examples

src/dm/tutorials/ex20.c
src/ts/tutorials/ex77.c
src/dm/tutorials/swarm_ex3.c
src/dm/impls/swarm/tutorials/ex1f90.F90
src/dm/impls/swarm/tutorials/ex1.c
src/dm/tutorials/swarm_ex1.c
src/ksp/ksp/tutorials/ex70.c
src/dm/tutorials/ex21.c

Index of all DMSwarm routines
Table of Contents for all manual pages
Index of all manual pages